Bug 95456 - glXGetFBConfigs has invalid screen bounds
Summary: glXGetFBConfigs has invalid screen bounds
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: GLX (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-17 14:30 UTC by Jiri Slaby
Modified: 2016-05-23 12:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch (2.31 KB, patch)
2016-05-17 14:30 UTC, Jiri Slaby
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Slaby 2016-05-17 14:30:21 UTC
Created attachment 123829 [details] [review]
patch

This is bad:
    if (priv && (priv->screens != NULL)
       && (screen >= 0) && (screen <= ScreenCount(dpy))
It should write:
    if (priv && (priv->screens != NULL)
       && (screen >= 0) && (screen < ScreenCount(dpy))


I have sent a patch to mesa-dev@lists.freedesktop.org, but it is moderated and I am not sure it went through.
Comment 1 Stefan Dirsch 2016-05-18 11:40:07 UTC
(In reply to Jiri Slaby from comment #0)
> Created attachment 123829 [details] [review] [review]
> patch
> 
> This is bad:
>     if (priv && (priv->screens != NULL)
>        && (screen >= 0) && (screen <= ScreenCount(dpy))
> It should write:
>     if (priv && (priv->screens != NULL)
>        && (screen >= 0) && (screen < ScreenCount(dpy))
> 
> 
> I have sent a patch to mesa-dev@lists.freedesktop.org, but it is moderated
> and I am not sure it went through.

It did. You even got a 'Reviewed-by' by ajax.
Comment 2 Emil Velikov 2016-05-23 12:04:34 UTC
Jiri, thanks for the patch. It's in master now and should be in -stable in a moment.

mesa-dev is moderated solely to prevent spam, if you want to avoid thing being stuck, please subscribe and disable email delivery if you prefer.

Stefan pretty sure Jiri got the reply in his inbox ;-)


bug/show.html.tmpl processed on Feb 25, 2017 at 20:35:18.
(provided by the Example extension).